﻿using System.ComponentModel;

namespace ValidationRule
{
    public class ExampleDataContext
    {
        public ExampleDataContext()
        {
            this.Content = "Start";
        }

        private string content;

        public string Content
        {
            get
            {
                return this.content;
            }
            set
            {
                if (value != this.content)
                {
                    this.content = value;
                    OnPropertyChanged("Content");
                }
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        private void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }
}
